Suite

QGIS2Leaf échoue avec AttributeError : l'objet 'QgsMarkerLineSymbolLayerV2' n'a pas d'attribut 'penStyle'


Quelqu'un peut-il me dire ce que cela signifie? et que dois-je faire pour le faire?

J'aimerais exporter ma carte de QGIS pour l'utiliser comme carte Web. Les données proviennent d'une base de données postGIS.

Fehler bei der Ausführung von Python-Code :

Traceback (appel le plus récent en dernier) : fichier "/Users/kevin_hh/.qgis2/python/plugins/qgis2leaf/qgis2leafdialog.py", ligne 297, dans export2leaf qgis2leaf_exec(self.outFileName, self.basemapName, self.basemapMeta, self. basemapAddress, self.width, self.height, self.extent, self.full_screen, self.layer_list, self.visible, self.opacity, self.encode2JSON,self.createcluster, self.webpage_name, self.webmap_head,self.webmap_subhead, self.legend,self.locate,self.address, self.precision, self.labels, self.labelshover, self.matchCRS, self.selected) Fichier "/Users/kevin_hh/.qgis2/python/plugins/qgis2leaf/qgis2leaf_exec. py", ligne 575, dans qgis2leaf_exec opacité : '""" + str(symbol.alpha()) + """', AttributeError : l'objet 'QgsMarkerLineSymbolLayerV2' n'a pas d'attribut 'penStyle'

Python-Version : 2.7.10 (par défaut, 14 juillet 2015, 19:46:27) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.39)]

QGIS-Version : 2.8.3-Wien Vienne,

Python-Pfad : ['/Applications/QGIS_Wien.app/Contents/MacOS/… /Resources/python/plugins/processing', '/Applications/QGIS_Wien.app/Contents/MacOS/… /Resources/python', u'/ Users/kevin_hh/.qgis2/python', u'/Users/kevin_hh/.qgis2/python/plugins', '/Applications/QGIS_Wien.app/Contents/MacOS/… /Resources/python/plugins', '/Library/ Frameworks/SQLite3.framework/Versions/C/Python/2.7', '/Library/Frameworks/GEOS.framework/Versions/3/Python/2.7/site-packages', '/Library/Python/2.7/site-packages/ numpy-override', '/Library/Python/2.7/site-packages/matplotlib-override', '/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages', '/System/Library /Frameworks/Python.framework/Versions/2.7/lib/python27.zip', '/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7', '/System/Library/Frameworks/Python .framework/Versions/2.7/lib/python2.7/plat-darwin', '/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac', '/System/Library /Frameworks/Python.framewo rk/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages', '/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python', '/System/Library/ Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk', '/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old', '/ System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload', '/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC', '/Library/Python/2.7/site-packages', u'/Users/kevin_hh/.qgis2//python', '/Users/kevin_hh/.qgis2/python/plugins', '/Applications/QGIS_Wien.app/Contents /Resources/python/plugins/fTools/tools', '/Users/kevin_hh/Desktop/Projekt slowUp Basel-Dreiland']


qgis2leaf ne prend pas en charge les styles de ligne de marqueur. De plus, qgis2leaf n'est plus en cours de développement. Sa fonctionnalité a été incluse dans qgis2web, mais je pense que qgis2web ne prend pas non plus en charge les styles de ligne Marker. Essayez et signalez un problème sur Github s'il échoue.

MISE À JOUR : qgis2web ne plante pas avec les styles de ligne de marqueur. Cependant, le style de ligne Marker n'est pas reproduit - il bascule vers un style de polygone simple.


Voir la vidéo: WebGIS with QGIS plugin qgis2web (Octobre 2021).